dpkg(1)

NAMN
dpkg - en mellannivåpakethanterare för Debian

SYNOPS
dpkg [flagga...] åtgärd

VARNING
Manualen är avsedd för användare som vill få en mer detaljerad förståelse för dpkgs kommandoradsflaggor och pakettillstånd än vad som berättas med dpkg --help. Den bör inte användas av paketansvariga som vill lära sig hur dpkg kommer att installera deras paket. Beskrivningen över vad dpkg gör när paket installeras och tas bort är speciellt otillräckliga.

BESKRIVNING
dpkg är ett verktyg för att installera, bygga, ta bort och hantera Debianpaket. Det primära och mer användarvänliga skalet runt dpkg är aptitude(1). dpkg kontrolleras helt och hållet via kommandoradsparametrar, vilka består av exakt en åtgärd och noll eller fler flaggor. Åtgärdsparametern talar om för dpkg vad som skall göras, och flaggorna styr på vilket sätt åtgärden skall utföras. dpkg kan också användas som ett skal runt dpkg-deb(1) och dpkg-query(1). En förteckning över tillgängliga åtgärder beskrivs nedan i stycket ÅTGÄRDER. Om dpkg upptäcker en sådan åtgärd anropas bara dpkg-dpkg eller dpkg-query med de givna flaggorna, men inga specifika flaggor sänds direkt till dem, för att använda sådana flaggor måste bakgrundsprogrammen anropas direkt.

INFORMATION OM PAKET
dpkg upprätthåller viss användbar information om tillgängliga paket. Informationen delas in i tre klasser: tillstånd, markeringstillstånd och flaggor. Dessa värden är avsedda att huvudsakligen ändras via dselect.

  Pakettillstånd

ej installerat ("not-installed")
    Paketet är inte installerat på ditt system.

konfigurationsfiler ("config-files")
    Endast konfigurationsfilerna för paketet finns på systemet.

halvt installerat ("half-installed")
    Installationen av paketet har påbörjats, men av någon orsak inte slutförts.

uppackat ("unpacked")
    Paketet är uppackat, men inte konfigurerat.

halvt konfigurerat ("half-configured")
    Paketet är uppackat och konfigurationen har påbörjats, men av någon orsak inte slutförts.

väntar på utlösare ("triggers-awaited")
    Paketet väntar på hantering av utlösare av ett annat paket.

utlösare väntar ("triggers-pending")
    Paketet har utlösts.

installerat (installed)
    Paketet är uppackat och korrekt inställt.

  Paketvalstillstånd

installera ("install")
    Paketet är markerat för installation.

håll ("hold")
    Ett paket som är markerat med håll hanteras inte av dpkg såvida inte det framtvingas med flaggan --force-hold.

ta bort ("deinstall")
    Paketet är markerat för avinstallation (dvs. vi vill ta bort alla filer förutom konfigurationsfilerna).

rensa ("purge")
    Paketet är markerat för rensning (dvs. vi vill ta bort allting från systemkataloger, även konfigurationsfiler).

  Paketflaggor

ominstallation krävs ("reinst-required")
    Ett paket markerat ominstallation krävs är trasigt och kräver ominstallation. Dessa paket kan inte tas bort, såvida inte det framtvingas med flaggan --force-remove-reinstreq.

ÅTGÄRDER

-i, --install paketfil...
    Installera paketet. Om flaggan --recursive eller -R anges måste paketfil istället vara en katalog. Installationen består av följande steg:
    1. Extrahera styrfilerna ur paketet.
    2. Om en annan version av samma paket redan fanns installerat vid nyinstallationen exekveras prerm-skriptet för det gamla paketet.
    3. Kör preinst-skriptet, om ett sådant medföljer paketet.
    4. Packa upp de nya filerna och säkerhetskopiera samtidigt de gamla filerna så att de kan återställas om någonting går fel.
    5. Om en annan version av samma paket redan fanns installerat vid nyinstallationen exekveras postrm-skriptet för det gamla paketet. Observera att skriptet exekveras efter preinst för det nya paketet eftersom de nya filerna skrivs samtidigt som de gamla tas bort.
    6. Konfigurera paketet. Se --configure för detaljerad information om hur man gör det.

--unpack paketfil ...
    Packa upp paketet, men konfigurera det inte. Om flaggan --recursive eller -R anges måste paketfil istället vara en katalog.

--configure paket...|-a|--pending
    Konfigurera ett paket som har packats upp men ännu inte konfigurerats. Om -a eller --pending anges istället för paket konfigureras alla paket som har packats upp men ännu inte konfigurerats. För att omkonfigurera ett paket som redan har konfigurerats kan du istället använda kommandot dpkg-reconfigure(8). Konfigurering består av följande steg:
    1. Packa upp konfigurationsfilerna och säkerhetskopiera samtidigt de gamla konfigurationsfilerna så att de kan återställas om någonting går fel.
    2. Kör postinst-skriptet, om ett sådant finns i paketet.

--triggers-only paket...|-a|--pending
    Processes only triggers (since dpkg 1.14.17). All pending triggers will be processed. If package names are supplied only those packages' triggers will be processed, exactly once each where necessary. Use of this option may leave packages in the improper triggers-awaited and triggers-pending states. This can be fixed later by running: dpkg --configure --pending.

-r, --remove paket...|-a|--pending
    Ta bort ett installerat paket. Detta tar bort allt utom konffiler, vilket kan göra att du kan undvika att konfigurera om paketet om du ominstallerar det senare (konffiler är konfigurationsfiler som listas i styrfilen DEBIAN/conffiles). Om -a eller --pending anges istället för ett paketnamn kommer alla paket som är uppackade, men markerade för borttagning i filen /var/lib/dpkg/status, att tas bort. Borttagning av ett paket består av följande steg:
    1. Kör prerm-skriptet
    2. Ta bort de installerade filerna
    3. Kör postrm-skriptet

-P, --purge paket...|-a|--pending
    Rensa ett installerat eller redan borttaget paket. Detta tar bort allting, inklusive konffiler. Om -a eller --pending anges instället för ett paketnamn kommer alla paket som packats upp eller tagits bort, men som är markerade för rensning i filen /var/lib/dpkg/status, att rensas. Observera: det är möjligt att dpkg inte känner till vissa konfigurationsfiler på grund av att de skapas och hanteras separat via konfigurationsskript. I så fall kommer inte dpkg självt ta bort dem, utan paketets postrm-skript (som anropas av dpkg) måste ta hand om att de tas bort när paketet tas bort med --purge. Detta gäller naturligtvis endast för filer i systemkatalogerna, inte konfigurationsfiler som skrivs i enstaka användares hemkataloger. Rensning av ett paket består av följande steg:
    1. Ta bort paketet, om det inte redan är borttaget. Se --remove för detaljerad information om hur det görs.
    2. Kör postrm-skriptet

-V, --verify paketnamn ...
    Verifies the integrity of package-name or all packages if omitted, by comparing information from the files installed by a package with the files metadata information stored in the dpkg database (since dpkg 1.17.2). The origin of the files metadata information in the database is the binary packages themselves. That metadata gets collected at package unpack time during the installation process. Det enda funktionstest som utförs är för närvarande en md5sum-verifiering mot det värde som lagrats i fildatabasen. Det kontrolleras bara om databasen innehåller filens md5-summa. Kommandot --audit kan användas för att söka efter saknad metadata i databasen. Utdataformatet kan väljas med flaggan --verify-format, vilket som standard använder formatet rpm, men detta kan komma att ändras i framtiden, varför program som tolkar kommandots utdata bör välja vilket format de förväntar sig explicit.

--update-avail [Packages-file]
--merge-avail [Packages-file]
    Uppdatera dpkgs och dselects lista över vilka paket som finns tillgängliga. Med --merge-avail kombineras den gamla informationen med informationen från Packages-filen. Med --update-avail ersätts den gamla informationen med informationen från Packages-filen. Packages-filerna som medföljer Debian heter helt enkelt Packages. Om Packages-fil-argumentet saknas eller namnet - anges kommer det att läsas från standard in (sedan dpkg 1.17.7). dpkg behåller sin lista över tillgängliga paket i /var/lib/dpkg/available. Ett lättare enkelkommando för att hämta och uppdater available-filen är dselect update. Observera att den här filen i huvudsak är onödig om du använder ett APT-baserat skal istället för dselect: APT har ett eget system för att hålla reda på tillgängliga paket.

-A, --record-avail paketfil ...
    Uppdatera dpkgs och dselects lista över vilka paket som finns tillgängliga med information från paketet paketfil. Om flaggan --recursive eller -R anges måste paketfil istället vara en katalog.

--forget-old-unavail
    Now obsolete and a no-op as dpkg will automatically forget uninstalled unavailable packages (since dpkg 1.15.4).

--clear-avail
    Radera existerande information om vilka paket som är tillgängliga.

-C, --audit [paketnamn...]
    Performs database sanity and consistency checks for package-name or all packages if omitted (per package checks since dpkg 1.17.10). For example, searches for packages that have been installed only partially on your system or that have missing, wrong or obsolete control data or files. dpkg will suggest what to do with them to get them fixed.

--get-selections [paketnamnsmönster...]
    Hämta en lista över paketval och skriv den till standard ut. Paket som inte är installerats (dvs. de som tidigare helt har tagits bort) kommer inte att visas om inte ett mönster anges.

--set-selections
    Set package selections using file read from stdin. This file should be in the format “package state”, where state is one of install, hold, deinstall or purge. Blank lines and comment lines beginning with ‘#’ are also permitted. Filen available måste vara àjourförd för att kommandot skall vara av något värde, annars kommer okända paket att ignoreras med en varning. Se kommandona --update-avail och --merge-avail för mer information.

--clear-selections
    Set the requested state of every non-essential package to deinstall (since dpkg 1.13.18). This is intended to be used immediately before --set-selections, to deinstall any packages not in list given to --set-selections.

--yet-to-unpack
    Söker efter paket som markerats för installation men som av någon anledning ännu inte har installerats.

--add-architecture arkitektur
    Add architecture to the list of architectures for which packages can be installed without using --force-architecture (since dpkg 1.16.2). The architecture dpkg is built for (i.e. the output of --print-architecture) is always part of that list.

--remove-architecture arkitektur
    Remove architecture from the list of architectures for which packages can be installed without using --force-architecture (since dpkg 1.16.2). If the architecture is currently in use in the database then the operation will be refused, except if --force-architecture is specified. The architecture dpkg is built for (i.e. the output of --print-architecture) can never be removed from that list.

--print-architecture
    Print architecture of packages dpkg installs (for example, “i386”).

--print-foreign-architectures
    Print a newline-separated list of the extra architectures dpkg is configured to allow packages to be installed for (since dpkg 1.16.2).

--compare-versions ver1 op ver2
    Compare version numbers, where op is a binary operator. dpkg returns success (zero result) if the specified condition is satisfied, and failure (nonzero result) otherwise. There are two groups of operators, which differ in how they treat an empty ver1 or ver2. These treat an empty version as earlier than any version: lt le eq ne ge gt. These treat an empty version as later than any version: lt-nl le-nl ge-nl gt-nl. These are provided only for compatibility with control file syntax: < << <= = >= >> >. The < and > operators are obsolete and should not be used, due to confusing semantics. To illustrate: 0.1 < 0.1 evaluates to true.

-?, --help
    Visar en kortfattad hjälptext.

--force-help
    Get hjälp om --force-nånting-flaggorna.

-Dh, --debug=help
    Ger hjälp om felsökningsflaggorna.

--version
    Visar dpkgs versionsinformation.

dpkg-deb-åtgärder
    Se dpkg-deb(1) för ytterligare information om följande åtgärder:
    -b, --build directory [archive|directory]
        Build a deb package.
    -c, --contents archive
        List contents of a deb package.
    -e, --control archive [directory]
        Extract control-information from a package.
    -x, --extract archive directory
        Extract the files contained by package.
    -X, --vextract archive directory
        Extract and display the filenames contained by a
        package.
    -f, --field  archive [control-field...]
        Display control field(s) of a package.
    --ctrl-tarfile archive
        Output the control tar-file contained in a Debian package.
    --fsys-tarfile archive
        Output the filesystem tar-file contained by a Debian package.
    -I, --info archive [control-file...]
        Show information about a package.

dpkg-query-åtgärder
    Se dpkg-query(1) för ytterligare information om följande åtgärder:
    -l, --list paketnamnsmönster ...
        Lista paket som matchar det givna mönstret.
    -s, --status paketnamn ...
        Rapportera status om det angivna paketet.
    -L, --listfiles paketnamn ...
        Lista filer som installerats på ditt system från paketnamn.
    -S, --search filnamnssökmönster ...
        Sök efter filnamnet bland de installerade paketen.
    -p, --print-avail paketnamn
        Visa detaljer om paketnamn, som i /var/lib/dpkg/available/.    De som använder APT-baserade skal bör i stället använda    apt-cache show paketnamn.

FLAGGOR
Alla flaggorna kan ges både på kommandoraden och i dpkgs konfigurationsfil /etc/dpkg/dpkg.cfg eller fragmentfilerna (vars namn motsvarar skalmönstret '[0-9a-zA-Z_-]*') i konfigurationskatalogen /etc/dpkg/dpkg.cfg.d/. En rad i konfigurationsfilen är antingen en flagga (precis samma som på kommandoraden, men utan inledande bindestreck) eller en kommentar (om den börjar med ett #).

--abort-after=antal
    Ställer in efter hur många fel dpkg skall avbryta. Förvalet är 50.

-B, --auto-deconfigure
    När ett paket tas bort är det möjligt att ett annat paket beror på det borttagna paketet. Om du anger flaggan kommer de paket som beror på det borttagna paketet automatiskt att avkonfigureras.

-Doktalvärde, --debug=oktalvärde
    Aktiverar felsökning. oktalvärdet skapas genom att utföra bitvis logisk "eller" av de önskade värdena från listan nedan (observera att dessa värden kan ändras i framtida versioner). -Dh eller --debug=help visar dessa felsökningsvärden.
        Tal Beskrivning
          1 Allmänt hjälpsam förloppsinformation
          2 Anrop och status för utvecklarskript
         10 Utdata för varje fil som hanteras
        100 Massvis med utdata för varje fil som hanteras
         20 Utdata för varje konfigurationsfil
        200 Massvis med utdata för varje konfigurationsfil
         40 Beroenden och konflikter
        400 Massvis av beroende-/konfliktutdata
      10000 Aktivering och hantering av utlösare
      20000 Massvis av utdata om utlösare
      40000 Dumma mängder utdata om utlösare
       1000 Massvis av pladder om bl.a dpkg/info-katalogen
       2000 Knäppa mängder pladder

--force-things
--no-force-things, --refuse-things
    Tvinga eller vägra (no-force och refuse betyder detsamma) att göra vissa saker. saker är en kommaavgränsad lista med saker som anges nedan. --force-help visar en lista med beskrivningar. Saker som markeras med (*) är tvingade som förval. Varning: Dessa flaggor är huvudsakligen avsedda att endast användas av experter. Om du använder dem utan att fullt ut förstå vad de går ut på kan du förstöra din systeminstallation. all: Slår på (eller av) alla tvingande flaggor. downgrade(*): Installera ett paket även om en nyare version redan är installerad. Varning: För närvarande undersöker inte dpkg beroenden vid nedgradering och kommer därför inte att varna dig om nedgraderingen bryter ett beroende för något paket. Detta kan ha allvarliga sidoeffekter, genom att nedgradera grundläggande systemkomponenter kan du riskera att göra hela systemet instabilt. Använd med tillförsikt. configure-any: Konfigurera även alla uppackade men ej konfigurerade paket på vilka det aktuella paketet beror. hold: Process packages even when marked “hold”. remove-reinstreq: Ta bort ett paket även om det är trasigt och markerat att vara i behov av ominstallation. Detta kan, till exempel, göra så att delar av paketet blir kvar på systemet, men glöms bort av dpkg. remove-essential: Ta bort paketet även om det anses som viktigt (essential). Viktiga paket är huvudsakligen de mest grundläggande Unixkommandona. Om du tar bort dem kan det göra så att hela systemet slutar fungera, så använd med tillförsikt. depends: Gör alla beroendeproblem till varningar. depends-version: Ignorera versionsnummer när beroenden kontrolleras. breaks: Install, even if this would break another package (since dpkg 1.14.6). conflicts: Installera även om paket som är i konflikt (krockar) med ett annat paket. Detta är farligt, eftersom det oftast leder till att vissa filer skrivs över. confmiss: Om en konfigurationsfil saknas och versionsnumret i paketet ändrades, installera alltid saknade konfigurationsfiler utan att fråga. Detta är farligt, eftersom det inte bibehåller ändringar (raderingar) av filer. confnew: Om en konfigurationsfil har modifierats och versionsnumret i paketet ändrades, installera alltid nya versioner av ändrade konfigurationsfiler utan att fråga, såvida inte --force-confdef också anges, i vilket fall det förvalda alternativet kommer att utföras. confold: Om en konfigurationsfil har modifierats och versionsnumret i paketet ändrades, behåll alltid gamla versioner av ändrade konfigurationsfiler utan att fråga, såvida inte --force-confdef också anges, i vilket fall det förvalda alternativet kommer att utföras. confdef: Om en konfigurationsfil har modifierats och versionsnumret i paketet ändrades, välj alltid det förvalda alternativt för ändrade konfigurationsfiler. Om inget förval har angivits kommer programmet stanna och fråga användaren såvida inte --force-confnew eller --force-confold också angetts, i så fall används den för att bestämma vad som skall utföras. confask: If a conffile has been modified always offer to replace it with the version in the package, even if the version in the package did not change (since dpkg 1.15.8). If any of --force-confmiss, --force-confnew, --force-confold, or --force-confdef is also given, it will be used to decide the final action. overwrite: Skriv över ett pakets filer med ett annats. overwrite-dir Skriv över ett pakets kataloger med ett annats filer. overwrite-diverted: Skriv över en omdirigerad fil med en ej omdirigerad version. unsafe-io: Do not perform safe I/O operations when unpacking (since dpkg 1.15.8.6). Currently this implies not performing file system syncs before file renames, which is known to cause substantial performance degradation on some file systems, unfortunately the ones that require the safe I/O on the first place due to their unreliable behaviour causing zero-length files on abrupt system crashes. Observera: För ext4, den värsta syndaren, kan det vara värt att istället använda monteringsflaggan nodelalloc, vilken både korrigerar prestandaförlusten och datasäkerhetsproblemen, det sistnämnda genom att inte låta filsystemet skapa tomma filer vid tvära krascher för programvara som inte utför synkronisering före atomära namnbyten. Varning: Den här flaggan kan ge bättre prestanda på bekostnad av dataförluster, använd med tillförsikt. architecture: Hantera även paket med fel eller saknad maskinvaruarkitektur. bad-version: Process even packages with wrong versions (since dpkg 1.16.1). bad-path: Sökvägen i PATH saknar viktiga program, så problem är troliga. not-root: Försök (av)installera saker även utan att vara root. bad-verify: Installera ett paket även om det inte går att verifiera dess äkthet.

--ignore-depends=paket,...
    Ignorera beroendekontroll för angivna paket (i verkligheten utförs kontrollen, men det ges endast varningar, ingenting annat).

--no-act, --dry-run, --simulate
    Gör allting som efterfrågas, men skriv inte några ändringar. Detta används för att se vad som skulle ha hänt med åtgärden utan att faktiskt ändra något. Se till att du anger --no-act före åtgärdsflaggan, annars kan du få oönskade biverkningar (t.ex så kommer dpkg --purge foo --no-act först att rensa ut paketet foo för att sedan försöka rensa ut paketet --no-act, trots att du troligen förväntade dig att ingenting skulle utföras)

-R, --recursive
    Hantera alla vanliga filer som matchar sökmönstret *.deb rekursivt i de kataloger som anges, med alla sina underkataloger. Flaggan kan användas tillsammans med -i, -A, --install, --unpack och --avail.

-G  Installera inte paketet om en nyare version av samma paket redan är installerat. Detta är ett alias för --refuse-downgrade.

--admindir=kat
    Ändra förvald administrationskatalog, vilken innehåller flera filer som beskriver status för installerade eller avinstallerade paket, osv. (standardvärde är /var/lib/dpkg)

--instdir=katalog
    Ändra standardinstallationskatalog, vilket anger katalogen där paket skall installeras. instdir är även katalogen som skickas som argument till chroot(2) innan paketets installationsfiler körs, vilket betyder att skripten ser instdir som rotkatalog. (Förval är /)

--root=katalog
    Genom att ändra rot så ändras installationskatalog till katalog och administrationskatalog till katalog/var/lib/dpkg.

-O, --selected-only
    Hantera endast paket som markerats för installation. Själva markeringen utförs med dselect eller av dpkg när paketen hanteras. Till exempel kommer paket som tas bort att markeras för installation.

-E, --skip-same-version
    Installera inte paketet om samma version av paketet redan är installerat.

--pre-invoke=kommando
--post-invoke=kommando
    Set an invoke hook command to be run via “sh -c” before or after the dpkg run for the unpack, configure, install, triggers-only, remove, purge, add-architecture and remove-architecture dpkg actions (since dpkg 1.15.4). This option can be specified multiple times. The order the options are specified is preserved, with the ones from the configuration files taking precedence. The environment variable DPKG_HOOK_ACTION is set for the hooks to the current dpkg action. Note: front-ends might call dpkg several times per invocation, which might run the hooks more times than expected.

--path-exclude=filnamnsmönster
--listfilnamnsmönster
    Set glob-pattern as a path filter, either by excluding or re-including previously excluded paths matching the specified patterns during install (since dpkg 1.15.8). Varning: tänk på att du kan totalt ödelägga ditt system, beroende på vilka sökvägar du exkluderar, så använd med tillförsikt. The glob patterns use the same wildcards used in the shell, were ‘*’ matches any sequence of characters, including the empty string and also ‘/’. For example, «/usr/*/READ*» matches «/usr/share/doc/package/README». As usual, ‘?’ matches any single character (again, including ‘/’). And ‘[’ starts a character class, which can contain a list of characters, ranges and complementations. See glob(7) for detailed information about globbing. Note: the current implementation might re-include more directories and symlinks than needed, to be on the safe side and avoid possible unpack failures, future work might fix this. Detta kan användas för att ta bort alla sökvägar förutom några specifika; ett typiskt användningsområde är:
    --path-exclude=/usr/share/doc/*
    --path-include=/usr/share/doc/*/copyright
    för att ta bort alla dokumentationsfiler förutom upphovsrättsinformation. Dessa två flaggor kan anges flera gånger, och kan interfolieras med varandra. De hanteras båda i den givna ordningen och det är den sista regeln som motsvarar ett filnamn som fäller avgörandet.

--verify-format formatnamn
    Sets the output format for the --verify command (since dpkg 1.17.2). The only currently supported output format is rpm, which consists of a line for every path that failed any check. The lines start with 9 characters to report each specific check result, a ‘?’ implies the check could not be done (lack of support, file permissions, etc), ‘.’ implies the check passed, and an alphanumeric character implies a specific check failed; the md5sum verification is denoted with a ‘5’ on the third character. The line is followed by a space and an attribute character (currently ‘c’ for conffiles), another space and the pathname.

--status-fd n
    Sänd maskinläsbar paketstatus och förloppsinformation till filhandtag n. Flaggan kan anges flera gånger. Informationen lagras vanligtvis rad för rad, i följande format:

    status: paket: status
        Paketstatus ändrad; status är som i statusfilen.

    status: paket : error : utökat-felmeddelande
        Ett fel uppstod. Eventuella nyradstecken i utökat-felmeddelanden kommer ersättas med blanksteg innan de skrivs ut.

    status: fil : conffile-prompt : 'riktig-gammal' 'riktig-ny' användarredigerad distredigerad
        Användaren får en fråga om konfigurationsfiler.

    processing: skede: paket
        Sänds precis innan ett hanteringsskede påbörjas. Skede är något av upgrade, install (båda sänds innan paketet packas upp), configure, trigproc, disappear, remove, purge.

--status-logger=kommando
    Send machine-readable package status and progress information to the shell command's standard input (since dpkg 1.16.0). This option can be specified multiple times. The output format used is the same as in --status-fd.

--log=filnamn
    Log status change updates and actions to filename, instead of the default /var/log/dpkg.log. If this option is given multiple times, the last filename is used. Log messages are of the form ‘YYYY-MM-DD HH:MM:SS startup type command’ for each dpkg invocation where type is archives (with a command of unpack or install) or packages (with a command of configure, triggers-only, remove or purge); ‘YYYY-MM-DD HH:MM:SS status state pkg installed-version’ for status change updates; ‘YYYY-MM-DD HH:MM:SS action pkg installed-version available-version’ for actions where action is one of install, upgrade, configure, trigproc, disappear, remove or purge; and ‘YYYY-MM-DD HH:MM:SS conffile filename decision’ for conffile changes where decision is either install or keep.

--no-debsig
    Försök inte verifiera paketsignaturer.

--no-triggers
    Do not run any triggers in this run (since dpkg 1.14.17), but activations will still be recorded. If used with --configure package or --triggers-only package then the named package postinst will still be run even if only a triggers run is needed. Use of this option may leave packages in the improper triggers-awaited and triggers-pending states. This can be fixed later by running: dpkg --configure --pending.

--triggers
    Cancels a previous --no-triggers (since dpkg 1.14.17).

MILJÖVARIABLER

PATH
    This variable is expected to be defined in the environment and point to the system paths where several required programs are to be found. If it's not set or the programs are not found, dpkg will abort.

HOME
    Om satt så kommer dpkg att använda det som den katalog från vilken det skall läsa den användarspecifika konfigurationsfilen.

TMPDIR
    Om satt så kommer dpkg att använda det som den katalog där det skapar temporära filer och kataloger.

PAGER
    Programmet dpkg kommer att exekveras för att visa konfigurationsfiler.

SHELL
    Programmet dpkg kommer att exekveras när ett nytt skal startas.

COLUMNS
    Sätter antalet kolumner dpkg skall använda när formaterad text visas. Används för närvarande enbart av -l.

DPKG_SHELL_REASON
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation (since dpkg 1.15.6). Current valid value: conffile-prompt.

DPKG_CONFFILE_OLD
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation (since dpkg 1.15.6). Contains the path to the old conffile.

DPKG_CONFFILE_NEW
    Defined by dpkg on the shell spawned on the conffile prompt to examine the situation (since dpkg 1.15.6). Contains the path to the new conffile.

DPKG_RUNNING_VERSION
    Defined by dpkg on the maintainer script environment to the version of the currently running dpkg instance (since dpkg 1.14.17).

DPKG_MAINTSCRIPT_PACKAGE
    Defined by dpkg on the maintainer script environment to the (non-arch-qualified) package name being handled (since dpkg 1.14.17).

DPKG_MAINTSCRIPT_PACKAGE_REFCOUNT
    Defined by dpkg on the maintainer script environment to the package reference count, i.e. the number of package instances with a state greater than not-installed (since dpkg 1.17.2).

DPKG_MAINTSCRIPT_ARCH
    Defined by dpkg on the maintainer script environment to the architecture the package got built for (since dpkg 1.15.4).

DPKG_MAINTSCRIPT_NAME
    Defined by dpkg on the maintainer script environment to the name of the script running, one of preinst, postinst, prerm or postrm (since dpkg 1.15.7).

FILER

/etc/dpkg/dpkg.cfg.d/[0-9a-zA-Z_-]*
    Configuration fragment files (since dpkg 1.15.4).

/etc/dpkg/dpkg.cfg
    Konfigurationsfil med förvalda inställningar.

/var/log/dpkg.log
    Förvald loggfil (se /etc/dpkg/dpkg.cfg(5) och flaggan --log).

Övriga filer som listas här finns i sina förvalda kataloger, se flaggan --admindir för information om hur du ändrar placeringen av dessa filer.

/var/lib/dpkg/available
    Lista över tillgängliga paket.

/var/lib/dpkg/status
    Status för tillgängliga paket. Filen innehåller information om huruvida ett paket är markerat för borttagning eller ej, om det är installerat eller ej, osv. Se sektionen INFORMATION OM PAKET för ytterligare information. Statusfilen säkerhetskopieras dagligen i /var/backups. Det kan vara nyttigt om den går förlorad eller skrivs sönder på grund av problem med filsystemet.

Följande filer är komponenter i det binära paketet. Se deb(5) för ytterligare information om dem:
    control
    conffiles
    preinst
    postinst
    prerm
    postrm
    triggers

PROGRAMFEL
--no-act ger oftast mindre information än vad som vore hjälpsamt.

EXEMPEL
För att lista paket relaterade till textredigeringsprogrammet vi(1) (observera att dpkg-query inte längre läser in available-filen som standard, och att flaggan dpkg-query --load-avail istället bör användas för det):
     dpkg -l '*vi*'
För att se posterna i /var/lib/dpkg/available för två paket:
     dpkg --print-avail elvis vim | less
För att själv söka i paketlistan:
     less /var/lib/dpkg/available
För att ta bort det installerade paketet elvis:
     dpkg -r elvis
To install a package, you first need to find it in an archive or CDROM. The available file shows that the vim package is in section editors:
     cd /media/cdrom/pool/main/v/vim
     dpkg -i vim_4.5-3.deb
För att göra en lokal kopia av paketmarkeringarna:
     dpkg --get-selections >mitturval
Du kan överföra filen till en annan dator, och efter att du har uppdaterat available-filen där med ditt önskade pakethanterarskal (se https://wiki.debian.org/Teams/Dpkg/FAQ för mer information), till exempel:
     apt-cache dumpavail | dpkg --merge-avail
eller med dpkg 1.17.6 eller tidigare:
     avail=`mktemp`
     apt-cache dumpavail >"$avail"
     dpkg --merge-avail "$avail"
     rm "$avail"
så kan du installera den med:
     dpkg --clear-selections
     dpkg --set-selections <mitturval
Observera att detta faktiskt inte kommer installera eller ta bort någonting, utan bara sätta valstatus på de efterfrågade paketen. Du måste använda ett annat program för att faktiskt hämta och installera de efterfrågade paketen. Till exempel kan du köra apt-get dselect-upgrade. För normalt bruk kommer du att upptäcka att dselect(1) tillhandahåller ett bekvämare sätt att ändra paketmarkeringarna.

YTTERLIGARE FUNKTIONER
Ytterligare funktioner kan erhållas genom att installera något av följande paket: apt, aptitude och debsums.

SE ÄVEN
aptitude(1), apt(1), dselect(1), dpkg-deb(1), dpkg-query(1), deb(5), deb-control(5), dpkg.cfg(5) och dpkg-reconfigure(8).

FÖRFATTARE
Se /usr/share/doc/dpkg/THANKS för listan över personer som har bidragit till dpkg.

ÖVERSÄTTNING
Peter Krefting och Daniel Nylander.